#! /usr/local/bin/perl

#####
#####
##
##
##
#####
#####

# get command-line arguments
use Getopt::Std;
getopts('o:i:t:s:e:vVh') || &usage();
&usage() if ($opt_h);         # -h for help
$outFile = $opt_o if ($opt_o);    # -o for (o)utput file (redirect STDOUT)
$tree = $opt_t if ($opt_t);       # -t for tree file
$sfan = $opt_s if ($opt_s);       # -s for sfan file
$inFile = $opt_i if ($opt_i);     # -i for (i)Input file (redirect STDIN)
$errFile = $opt_e if ($opt_e);    # -e for (e)rror file (redirect STDERR)
$verbose = 1 if ($opt_v);         # -v for (v)erbose (debug info to STDERR)
$verbose = 2 if ($opt_V);         # -V for (V)ery verbose (debug info STDERR)



my %sfan;
open (SA, $sfan);
while (my $line=<SA>){
    chomp $line;

    my ($sf, $an)=split(/\t/, $line);

    $sfan{$an}=$sf;
#    print "$an\n";

}
close (SA);

open (TR, $tree);
my $line=<TR>;
chomp $line;

$line=~s/\[\&\&NHX\:\w+\=\d+\>\d+\:S\=\w+\:ID\=AN\d+\]//g;
$line=~s/\[\&\&NHX\:\w+\=\d+\>\d+\:S\=\w+\-\w+\:ID\=AN\d+\]//g;
$line=~s/\[\&\&NHX\:\w+\=\d+\>\d+\:ID\=AN\d+\]//g;
$line=~s/[\;\cM]//g;
$line =~s/\:-*(\d)+(\.(\d)+)?//g;

my @array=split (/([\(\)\,])/, $line);

my @array1;
foreach my $item (@array){

    next unless ($item);
 
    if (defined $sfan{$item}){
	push (@array1, $sfan{$item});
#	print "$sfan{$item}\n";

    }else{
	push (@array1, $item);
#	print "$item\n";
    }
}
close (TR);

my $line1=join("", @array1);


#while ($line1=~/AN\d+/){
$line1=~s/AN\d+//g;
$line1=~s/\,//g;

while ($line1=~/\(\)|\(SF\d+\)/){
    $line1=~s/\(\)//g;
    $line1=~s/\((SF\d+)\)/$1/g;
}

while ($line1=~/SF\d+SF\d+/){

    $line1=~s/(SF\d+)(SF\d+)/$1\,$2/g;
}


print "$line1";
